axiethernet: XAvb_BmcData Struct Reference

| axiethernet Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XAvb_BmcData Struct Reference

This typedef defines the format for a data structure which stores the relevant fields which are captured from Announce Packets. More...

## Data Fields
XAvb_PortIdentity | SourcePortIdentity
| Announce message: sourcePortIdentity. More...
XAvb_ClockIdentity | GrandmasterIdentity
| Announce message: grandmasterIdentity. More...
u16 | stepsRemoved
| Announce message: stepsRemoved. More...
XAvb_ClockQuality | ClockQuality
| Announce message: grandmasterClockQuality. More...
u8 | GrandmasterPriority1
| Announce message: grandmasterPriority1. More...
u8 | GrandmasterPriority2
| Announce message: grandmasterPriority2. More...
u8 | IAmTheRtcMaster
| Boolean: 1 = grandmaster, 0 = slave. More...
u16 | tlvLengthField
| Announce message: lengthField (for TLV) More...
char | logMessageInterval
| Announce message: logMessageInterval. More...
u16 | AnnounceIntervalDuration
| Announce Interval in units of 1/128 secs. More...

## Detailed Description

This typedef defines the format for a data structure which stores the relevant fields which are captured from Announce Packets.

## Field Documentation

u16 XAvb_BmcData::AnnounceIntervalDuration

Announce Interval in units of 1/128 secs.

Referenced by XAvb_DecodeRxAnnounceFrame(), and XAvb_PtpTimerInterruptHandler().

XAvb_ClockQuality XAvb_BmcData::ClockQuality

Announce message: grandmasterClockQuality.

Referenced by XAvb_BestMasterClockAlgorithm(), XAvb_DecodeRxAnnounceFrame(), XAvb_DecodeTxAnnounceFrame(), XAvb_ReadAnnounceFrame(), and XAvb_UpdateBmcRecords().

XAvb_ClockIdentity XAvb_BmcData::GrandmasterIdentity

Announce message: grandmasterIdentity.

Referenced by XAvb_BestMasterClockAlgorithm(), XAvb_DecodeRxAnnounceFrame(), XAvb_DecodeTxAnnounceFrame(), XAvb_ReadAnnounceFrame(), and XAvb_UpdateBmcRecords().

u8 XAvb_BmcData::GrandmasterPriority1

Announce message: grandmasterPriority1.

Referenced by XAvb_BestMasterClockAlgorithm(), XAvb_DecodeRxAnnounceFrame(), XAvb_DecodeTxAnnounceFrame(), XAvb_ReadAnnounceFrame(), and XAvb_UpdateBmcRecords().

u8 XAvb_BmcData::GrandmasterPriority2

Announce message: grandmasterPriority2.

Referenced by XAvb_BestMasterClockAlgorithm(), XAvb_DecodeRxAnnounceFrame(), XAvb_DecodeTxAnnounceFrame(), XAvb_ReadAnnounceFrame(), and XAvb_UpdateBmcRecords().

u8 XAvb_BmcData::IAmTheRtcMaster

Boolean: 1 = grandmaster, 0 = slave.

Referenced by XAvb_BecomeRtcMaster(), XAvb_BecomeRtcSlave(), XAvb_DecodeRxAnnounceFrame(), XAvb_DecodeRxFollowUp(), XAvb_DecodeRxSync(), XAvb_DecodeTxAnnounceFrame(), and XAvb_PtpTimerInterruptHandler().

char XAvb_BmcData::logMessageInterval

Announce message: logMessageInterval.

NOTE: 8-bit signed integer

Referenced by XAvb_DecodeRxAnnounceFrame(), and XAvb_ReadAnnounceReceiptTimeout().

XAvb_PortIdentity XAvb_BmcData::SourcePortIdentity

Announce message: sourcePortIdentity.

Referenced by XAvb_BestMasterClockAlgorithm(), XAvb_DecodeRxAnnounceFrame(), XAvb_DecodeRxFollowUp(), XAvb_DecodeRxSync(), XAvb_ReadAnnounceFrame(), and XAvb_UpdateBmcRecords().

u16 XAvb_BmcData::stepsRemoved

Announce message: stepsRemoved.

Referenced by XAvb_BestMasterClockAlgorithm(), XAvb_DecodeRxAnnounceFrame(), XAvb_ReadAnnounceFrame(), and XAvb_UpdateBmcRecords().

u16 XAvb_BmcData::tlvLengthField

Announce message: lengthField (for TLV)